package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PerfEvalSyncFactory
{
    private PerfEvalSyncFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.IPerfEvalSync getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IPerfEvalSync)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("DA5E4C49") ,com.kingdee.eas.custom.compensation.IPerfEvalSync.class);
    }
    
    public static com.kingdee.eas.custom.compensation.IPerfEvalSync getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IPerfEvalSync)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("DA5E4C49") ,com.kingdee.eas.custom.compensation.IPerfEvalSync.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.IPerfEvalSync getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IPerfEvalSync)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("DA5E4C49"));
    }
    public static com.kingdee.eas.custom.compensation.IPerfEvalSync getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.IPerfEvalSync)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("DA5E4C49"));
    }
}